<template>
    <div>
        <map style="width: 100%; height: 600px;"
					:latitude="latitude"
					:longitude="longitude"
					:markers="markers"></map>
        <!--弹窗 -->
        <u-popup 
        overlayOpacity="0"
        :overlayStyle="{
            'display':'none',
        }"
        round="10"
        :show="show" mode="bottom"  @close="close" @open="open">
        <view class="contont">
           <h4>{{ markers[0].callout.content  }}</h4>
		   <view class="title"><img :src="daohangIcon" alt="" style="width: 60rpx;height: 60rpx;">唐山市丰南区黄各庄镇宣庄二街</view>
		   <view class="footerText">
			{{ markers[0].callout.text   }}
		   </view>
        </view>
	</u-popup>
    </div>
</template>

<script>
import daohangIcon  from '@/static/image/无人值守/司机端首页/daohang.jpg'
export default {
    data() {
			return {
                show:false,
				daohangIcon,
				latitude: 38.04606544104117,
				longitude: 114.48735479816793,
				customerId: '',
				filedId: '',
				orderType: '',
				toFiledId: '',
				// 起点经纬度
				originlongitude: 39.909,
				originlatitude: 116.39742,
				// 终点
				finishlongitude: null,
				finishlatitude: null,
				markers: [{
						latitude: null,
						longitude: null,
						width: 23,
						height: 33,
						id: 0,
						callout: {
							content: '起点', //文本
							color: '#ffffff', //文字颜色
							fontSize: 10, //文本大小
							borderRadius: 12, //边框圆角
							borderWidth: '10',
							bgColor: '#08b078', //背景颜色
							display: 'ALWAYS' ,//常显,
							text:'',
						}
					},
					{
						latitude: null,
						longitude: null,
						width: 23,
						height: 33,
						id: 1,
						callout: {
							content: '终点', //文本
							color: '#ffffff', //文字颜色
							fontSize: 10, //文本大小
							borderRadius: 12, //边框圆角
							borderWidth: '10',
							bgColor: '#fc645c', //背景颜色
							display: 'ALWAYS' //常显
						}
					}
				],
				polyline: [{
					// 每个点的经纬度
					points: [{ latitude: 38.04606544104117, longitude: 114.48735479816793 }, {
						latitude: 38.049531,
						longitude: 114.53521899999998
					}],
					// 颜色
					color: '#0091ff',
					// 宽度
					width: 10
				}],
				distance: null,
				duration: null,
				fromLocation: {},
				toLocation: {}
			};
		},
        onLoad(params){
           if(params){
            this.markers[0].latitude  = Number(params.latitude) ;
            this.markers[0].longitude = Number( params.longitude);
            this.longitude = Number( params.longitude);
            this.latitude = Number(params.latitude);
            this.markers[0].callout.content = params.name; 
			this.markers[0].callout.text = params.brief; 
            console.log( this.markers)
            this.show = true;
           }
            
        }
}

</script>

<style lang="scss" scoped>
.u-transition{
    display: none!important;
}
.contont{
    height: 300rpx;
	width: 92%;
	h4{
		color: #212121;
		font-size: 30rpx;
		font-weight: bold;
		margin-left: 20rpx;
		margin-top: 20rpx;
	}
	.title{
		font-size: 24rpx;
		display: flex;
		margin-left: 15rpx;
		align-items: center;
		margin-top: 15rpx;
		color:#676767 ;
	}
	.footerText{
		margin-left: 35rpx;
		color: #676767;
		font-size: 24rpx;


	}
}

</style>